{"openapi":"3.0.4","info":{"title":"Get User","description":"Get the specified User","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/users/{id}":{"get":{"tags":["Users"],"summary":"Get User","description":"Get the specified User","operationId":"GetUser","parameters":[{"name":"id","in":"path","description":"The unique identifier for the User","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"includeRoles","in":"query","description":"Flag indicating that the users roles should be included in the response","schema":{"type":"boolean"},"x-nullable":true}],"responses":{"200":{"description":"Get the specified user","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UserResponse"},"example":{"id":"asybvrs5","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","firstName":"Joe","lastName":"Bloggs","roles":[{"id":"customrole1","roleId":{"scope":"default","code":"customrole2"},"source":"LusidUser","name":"Front Office Administrator","description":"Administration role for Front Office staff","samlName":"customrole2"}],"type":"Personal","status":"ACTIVE","external":false,"userExpiry":"2029-02-12T12:00:00.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}